Subject: Re: bug#41715: The program '/gnu/store/foobar/compute-guix-derivation' failed to compute the derivation for guix

From: Olivier <[email-masked]>
Date: Tue, 21 Jul 2020 20:11:17 +0200

Hej Ludo,

I see that some time has passed and I believe that the issue can be closed.

Long story short, my hdd has died and I bought a new one and 
re-installed. I could imagine that the errors I was running into were 
related to the impending hardware failure -- that's a speculation, 
though. Anyway, following your suggestions brought me to the same point 
I was at earlier (gdb didnt show anything useful).

Another possible source of error I have not mentioned before (I simply 
forgot about it): after the fresh install, I swapped the swap and /home 
partition using another OS (I have two hdds, each of which has a 
different OS). I don't know if that could've been the problem and/or one 
reason the hdd died.

Anyway, I'm thankful for your supportive attitude and your time.

Have a good day,

Olivier

Am 12.06.20 um 16:12 schrieb Ludovic Courtès:
> Hi Olivier,
>
> [email-masked] skribis:
>
>> I followed the steps you mentioned, the results you find here:
>> https://www.mediafire.com/file/g5yz8f3pput8f3w/gdb-output/file  . The
>> only part I omitted from the gdb output is the first lines mentioned
>> the license. (Will look at IPFS, maybe next time :))
> Since it’s a small file, you can send it as an attachment.
>
> GDB shows:
>
> --8<---------------cut here---------------start------------->8---
> Core was generated by `/gnu/store/0m0vd873jp61lcm4xa3ljdgx381qa782-guile-3.0.2/bin/guile --no-auto-com'.
> Program terminated with signal SIGBUS, Bus error.
> #0  0x00007f90885ccc78 in ?? ()
> [Current thread is 1 (LWP 845)]
> (gdb) thread apply all bt
>
> Thread 9 (LWP 853):
> #0  0x00007f90884d90a4 in ?? ()
> #1  0x0000000000000001 in ?? ()
> #2  0x0000000000000001 in ?? ()
> #3  0x00007f90840c9a30 in ?? ()
> #4  0x00007f90840c95a0 in ?? ()
> #5  0x00007f90840ca700 in ?? ()
> #6  0x00007f90885ac067 in ?? ()
> #7  0x00007f90845efa80 in ?? ()
> #8  0x00007f90884fed94 in ?? ()
> #9  0x0000000000000001 in ?? ()
> #10 0x00007f90840c95a0 in ?? ()
> --8<---------------cut here---------------end--------------->8---
>
> That means debugging info is lacking.  To address that, could you run:
>
>    guix build $(guix gc --derivers /gnu/store/0m0vd873jp61lcm4xa3ljdgx381qa782-guile-3.0.2)
>
> and then:
>
>    echo 'set debug-file-directory /gnu/store/9lg4gssswn2cwn54p6jjy6nld16ah795-guile-3.0.2-debug/lib/debug' >> ~/.gdbinit
>
> At that point, you can try again to run:
>
>    gdb --core=./core
>
> That will hopefully show more useful info.
>
> Thanks in advance!
>
> Ludo’.